#!/bin/sh

#set -x

. /usr/share/debconf/confmodule
db_version 2.0

# This conf script is capable of backing up
db_capb backup

PKG="ctsrvcfg/ipcop"
IMG="/var/lib/uml/ipcop.img"
MNT="/tmp/ipcopimg$$"

db_settitle $PKG/title

running=`ps ax | grep "umlid=ipcop" | grep -v "grep"`
if [ "$running" != "" ]; then
    db_input high $PKG/warnrunning || true
    db_go
else
    # check if package already installed
    if [ -f "$IMG" ]; then
        # loop mount UML-Image
	mountok="true"
	mkdir -p $MNT
	mount $IMG $MNT -o loop 2> /dev/null || mountok="false"
	if [ "$mountok" = "false" ]; then
	    db_input high $PKG/warnloopmount || true
	    db_go
	    rmdir $MNT
	    exit 0
	else
	    # get configuration data from there
#	    hostname=`grep "HOSTNAME" $MNT/var/ipcop/main/settings | cut -d "=" -f2`
#	    db_set $PKG/hostname
	    ipaddress=`grep "GREEN_ADDRESS" $MNT/var/ipcop/ethernet/settings  | cut -d "=" -f2`
	    db_set $PKG/ipcopipaddress
	    dslaccount=`grep "USERNAME" $MNT/var/ipcop/ppp/settings | cut -d "=" -f2`
	    db_set $PKG/dslaccount
	    # passwords just get overwritten
	fi
    else
	# take first gateway, hopefully that matches
	ipaddress=`cat /etc/network/interfaces | grep -i "gateway" | head -1 | cut -d " " -f2`
	if [ "$ipaddress" = "" ]; then
	    ipaddress="unbekannt"
	fi
	db_set $PKG/ipcopipaddress $ipaddress
    fi
    STATE=1
    while [ "$STATE" != 0 -a "$STATE" != 6 ]; do
        case "$STATE" in
            1)
	    db_fset $PKG/ipcopipaddress seen false
	    if [ "$ipaddress" = "unbekannt" ]; then
		db_input high $PKG/ipcopipaddress || true
	    else
		db_input medium $PKG/ipcopipaddress || true
	    fi
            ;;

            2)
	    db_fset $PKG/rootpass seen false
            db_input high $PKG/rootpass || true
            ;;

            3)
	    db_fset $PKG/adminpass seen false
            db_input high $PKG/adminpass || true
            ;;

            4)
	    db_fset $PKG/dslaccount seen false
            db_input medium $PKG/dslaccount || true
            ;;

            5)
	    db_fset $PKG/dslpass seen false
            db_input medium $PKG/dslpass || true
            ;;

        esac

        if db_go; then
            STATE=$(($STATE + 1))
        else
            STATE=$(($STATE - 1))
        fi
    done
fi
