#!/bin/sh

. /usr/share/debconf/confmodule
db_version 2.0

# This conf script is capable of backing up
db_capb backup

PKG="ctsrvcfg/exim4"
CFGFILE="/etc/exim4/update-exim4.conf.conf"
PASSWD="/etc/exim4/passwd.client"

db_settitle $PKG/title


# get configuration data from file
db_fget $PKG/smarthost seen
if [ "$RET" = "false" ]; then
    smarthost=`grep "dc_smarthost" $CFGFILE | cut -d "'" -f1`
    db_set $PKG/smarthost
    smtpuser=`grep "$smarthost" $PASSWD | cut -d":" -f2`
    db_set $PKG/smtpuser
    smtppasswd=`grep "$smarthost" $PASSWD | cut -d":" -f3`
    db_set $PKG/smtppass
fi

db_fset $PKG/smarthost seen false || true
db_fset $PKG/smtpuser seen false || true
db_fset $PKG/smtppass seen false || true

STATE=1
while [ "$STATE" != 0 -a "$STATE" != 5 ]; do
    case "$STATE" in
	1)
	db_input medium $PKG/smarthost || true
	;;
	
	2)
	db_input medium $PKG/maildomain || true
	;;
	
	3)
	db_get $PKG/smarthost || true
	if [ "$RET" = "" ]; then
	    db_fset $PKG/smtpuser seen true
	    db_fset $PKG/smtppass seen true
	fi
	db_input medium $PKG/smtpuser || true
	;;
	
	4)
	db_get $PKG/smtpuser || true
	if [ "$RET" = "" ]; then
	    db_fset $PKG/smtppass seen true
	fi
	db_input medium $PKG/smtppass || true
	;;
    esac
    
    if db_go; then
	STATE=$(($STATE + 1))
    else
	STATE=$(($STATE - 1))
    fi
done

